# Uses of Class
org.opensaml.security.messaging.ClientTLSSecurityParametersContext

Packages that use ClientTLSSecurityParametersContext
Package
Description
org.opensaml.profile.action.impl
Implementations of general profile actions.
org.opensaml.security.messaging
Messaging-related security classes.

## Uses of ClientTLSSecurityParametersContext in org.opensaml.profile.action.impl

Fields in org.opensaml.profile.action.impl with type parameters of type ClientTLSSecurityParametersContext
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,ClientTLSSecurityParametersContext>`
PopulateClientTLSValidationParameters.`securityParametersContextLookupStrategy`
Strategy used to look up the `ClientTLSSecurityParametersContext` to set the parameters for.
Method parameters in org.opensaml.profile.action.impl with type arguments of type ClientTLSSecurityParametersContext
Modifier and Type
Method
Description
`void`
PopulateClientTLSValidationParameters.`setSecurityParametersContextLookupStrategy(Function<ProfileRequestContext,ClientTLSSecurityParametersContext> strategy)`
Set the strategy used to look up the `ClientTLSSecurityParametersContext` to set the parameters for.

## Uses of ClientTLSSecurityParametersContext in org.opensaml.security.messaging

Methods in org.opensaml.security.messaging that return ClientTLSSecurityParametersContext
Modifier and Type
Method
Description
`ClientTLSSecurityParametersContext`
ClientTLSSecurityParametersContext.`setEvaluateClientCertificate(boolean flag)`
Set whether to evaluate the certificate presented by the TLS client.
`ClientTLSSecurityParametersContext`
ClientTLSSecurityParametersContext.`setValidationParameters(ClientTLSValidationParameters params)`
Set an instance of `ClientTLSValidationParameters`.